Imports System
Imports System.Reflection
Imports System.Runtime.InteropServices

Public Class IniFile

    ' Fields
    Public m_sIniFileName As String

    ' Constructor, set path to the ini file
    Public Sub New(ByVal sIniFileName As String)
        SetFileName(sIniFileName)
    End Sub

    ' Set and check path to the ini file
    Public Function SetFileName(ByVal sIniFileName As String) As Boolean

        m_sIniFileName = sIniFileName

        If (m_sIniFileName <> String.Empty) Then
            ' Remove double quotes if any
            'Dim delim As [Char] = {"a"}
            'm_sIniFileName.Trim(delim)

            ' Check the file
            If (System.IO.File.Exists(m_sIniFileName)) Then
                Return True
            End If
        End If
        Return False
    End Function

    ' Write string value in th eini file
    Public Sub IniWriteValue(ByVal Section As String, ByVal Key As String, ByVal Value As String)
        IniFile.WritePrivateProfileString(Section, Key, Value, m_sIniFileName)
    End Sub

    ' Read string value in th eini file
    Public Function IniReadValue(ByVal Section As String, ByVal Key As String, ByVal [Default] As String) As String
        Dim temp As New System.Text.StringBuilder(255)
        Dim i As Integer = IniFile.GetPrivateProfileString(Section, Key, "", temp, 1024, m_sIniFileName)
        Return IIf((temp.Length > 0), temp.ToString, [Default])
    End Function

    <DllImport("kernel32")> _
        Private Shared Function GetPrivateProfileString(ByVal section As String, ByVal key As String, ByVal def As String, ByVal retVal As System.Text.StringBuilder, ByVal size As Integer, ByVal filePath As String) As Integer
    End Function

    <DllImport("kernel32")> _
    Private Shared Function WritePrivateProfileString(ByVal section As String, ByVal key As String, ByVal val As String, ByVal filePath As String) As Long
    End Function

End Class
